package com.docus.server.service.impl;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.convert.SchCollectErrorLogConvert;
import com.docus.server.dto.scheduling.management.SchCollectErrorLogDTO;
import com.docus.server.entity.scheduling.management.SchCollectErrorLog;
import com.docus.server.infrastructure.dao.ISchCollectErrorLogDao;
import com.docus.server.service.ISchCollectErrorLogService;
import com.docus.server.vo.scheduling.management.SchCollectErrorLogVO;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器异常日志 服务实现类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@Service
public class SchCollectErrorLogServiceImpl implements ISchCollectErrorLogService {
    @Resource
    private ISchCollectErrorLogDao iSchCollectErrorLogDao;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectErrorLogVO findById(String id) {
        return SchCollectErrorLogConvert.INSTANCE.convertVO(iSchCollectErrorLogDao.findById(id));
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectErrorLogVO> search(SearchRequest searchRequest) {
        return SchCollectErrorLogConvert.INSTANCE.convertVO(iSchCollectErrorLogDao.search(searchRequest));
    }

    /**
     * 新增
     *
     * @param schCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectErrorLogDTO schCollectErrorLogDTO) {
        SchCollectErrorLog schCollectErrorLog = SchCollectErrorLogConvert.INSTANCE.convertDO(schCollectErrorLogDTO);
        return iSchCollectErrorLogDao.add(schCollectErrorLog);
    }

    /**
     * 编辑
     *
     * @param schCollectErrorLogDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectErrorLogDTO schCollectErrorLogDTO) {
        SchCollectErrorLog schCollectErrorLog = SchCollectErrorLogConvert.INSTANCE.convertDO(schCollectErrorLogDTO);
        return iSchCollectErrorLogDao.edit(schCollectErrorLog);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectErrorLogDao.delete(ids);
    }
}

